<template>
  <UFormGroup :label="props.label" :name="props.name" class="block mb-2 text-sm font-medium !text-gray-900">
    <UInput :type="props.type" v-model="props.data" :placeholder="props.placeholder" inputClass="!bg-gray-50 !text-gray-900 sm:text-sm rounded-lg block w-full p-2.5" />
  </UFormGroup>
</template>

<script setup lang="ts">
const props = defineProps({
  label: String,
  name: String,
  type: String,
  data: String,
  placeholder: String
})
</script>